--- themes/classic/templates/album.tpl.ori	2006-04-17 17:26:43.000000000 +0200
+++ themes/classic/templates/album.tpl	2006-04-18 22:33:35.080525407 +0200
@@ -146,9 +146,20 @@
 		      {/if}
 		      {assign var="depth" value=$node.depth}
 		      <li>
-			<a href="{g->url arg1="view=core.ShowItem" arg2="itemId=`$node.id`"}">
-			{$theme.treeItems[$node.id].title|default:$theme.treeItems[$node.id].pathComponent|markup}
-			</a>
+		          {if !empty($theme.treeItems[$node.id].thumbnail)}
+			         <a href="{g->url arg1="view=core:ShowItem" arg2="itemId=`$node.id`"}">
+			          {g->image 
+			              item=$theme.treeItems[$node.id] 
+		                      image=$theme.treeItems[$node.id].thumbnail
+			              maxSize=$theme.params.subalbumThumbSize
+    	    	                      title=$theme.treeItems[$node.id].title
+				      style="border: solid 1px white"}
+				 </a>
+			  {else}
+			  	   <a href="{g->url arg1="view=core.ShowItem" arg2="itemId=`$node.id`"}">
+			         {$theme.treeItems[$node.id].title|default:$theme.treeItems[$node.id].pathComponent|markup}
+				   </a>
+		          {/if}
 		      </li>
 		    {/foreach}
 		    {$empty|indent:$depth:"</ul></li>"}
